kind: pipeline
type: docker
name: default
steps:
  - name: build
    image: node:14.21.3-bullseye
    commands:
    - npm i  --registry=https://registry.npmmirror.com
    - npm run build:prod
    - git rev-parse --short HEAD > dist/version
  - name: docker
    image: plugins/docker
    settings:
      repo: reg.cestong.com.cn/cecf/observe-front
      insecure: true
